/********************************************************************
   TORNADO-E54x Demo Utility.
   WDT test. rev.1A
   (C) MicroLAB Systems, 2000


   Description:
   ------------
	This demo continuously reboots DSP on the WDT expiration. The
	DSP RESET LED will flash with the period about 2 sec.


   TORNADO platform:
   -----------------
	This demo does not utilize any host TORNADO resources
	and runs in stand-alone mode. MIRAGE JTAG emulator and
	TI CCS tools are required to recompile this demo and to
	upload code to the on-board DSP environment.

  Copyright:
  ----------
	This demo is distributed free of charge and as it is without
	any obligation from MicroLAB Systems.


  Demo and Signal Parameters:
  ---------------------------
        on-board configuration switch:
	  - no BOOT mode
	  - emulator must be put into the RUN FREE mode after
	    uploading the exection code
***********************************************************************/

#include "te54x_d.h"



main()
{ int i;

	TE54X_init_for_xdm_dram();

	TE54X_set_wdt_enable(TE54X_ON);
	while(1);
}



